    Galactic extinction: the Cardelli, Clayton, and Mathis model.

ccm

The interstellar extinction is calculated using the formula from [1] . This model is intended to be used to modify another model (e.g. by multiplying the two together). It is for use when the independent axis is in Angstrom.

>>> create_model_component("ccm", "mdl")
>>> print(mdl)

Create a component of the ccm model and display its default parameters. The output is:

mdl Param Type Value Min Max Units ----- ---- ----- --- --- ----- mdl.ebv thawed 0.5 -3.40282e+38 3.40282e+38 mdl.r thawed 3.2 -3.40282e+38 3.40282e+38

ATTRIBUTES

The attributes for this object are:

Attribute
Definition
ebv
E(B-V)
r
R_v

Notes

When evaluated on a binned grid, the lower-edges of the bins are used for the calculation.

References

[1] Cardelli, Clayton, & Mathis, 1989, ApJ, 345, 245-256. http://adsabs.harvard.edu/abs/1989ApJ...345..245C

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023